<?php
/**
 * @author DWand
 * @version 13.10.2012
 * @package DSiteStructScanner
 * 
 * @description Строит эталонную структуру файловой системы и выводит ее.
 *              Таким образом, можно проверить правильность настройки параметров до записи структуры в файл.
 * 
 * @uses config.php
 * @uses DSiteStructScanner.class.php
 */
set_time_limit(0);
include_once('config.php');
include_once('DSiteStructScanner.class.php');

try {
    $etStr = DSiteStructScanner::getEtalonStr($root, $excPath);
} catch (Exception $e) {
    die ('Произошла ошибка при построении эталонной файловой структуры.<br />' . $e -> getMessage());
}

$etStr = DSiteStructScanner::getEtalonFromStr($etStr);


function showArray($array, $lvl = 0) {
	echo '[<br />';
	foreach ($array as $key => $value) {
		for ($i = 0; $i < $lvl * 7; $i++) echo '&nbsp;';
		echo $key . ' => ';
		if (is_array($value)) showArray($value, $lvl + 1);
		else echo $value;
		echo '<br />';
	}
	for ($i = 0; $i < $lvl * 7; $i++) echo '&nbsp;';
	echo ']';
}
?>
<html>
<head>
	<title>Отображение эталонной файловой структуры</title>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
</head>
<body>
<p>С текущими настройками эталонной структурой файловой системы будет:</p>
<p><?php showArray($etStr); ?></p>
</body>
</html>